require("defines")

data:extend
{
	-- Default initial action.
	{
		type = "string-setting",
		name = creative_mode_defines.names.settings.default_initial_action,
		setting_type = "runtime-global",
		default_value = creative_mode_defines.values.default_initial_actions.show_popup,
		allowed_values =
		{
			creative_mode_defines.values.default_initial_actions.show_popup,
			creative_mode_defines.values.default_initial_actions.enable,
			creative_mode_defines.values.default_initial_actions.enable_all,
			creative_mode_defines.values.default_initial_actions.disable,
			creative_mode_defines.values.default_initial_actions.disable_permanently,
		},
		order = "a",
	},
	
	-- Creative chest size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.creative_chest_size,
		setting_type = "startup",
		default_value = 150,
		minimum_value = 1,
		maximum_value = 254,
		order = "b-a"
	},
	-- Creative chest contains hidden items.
	{
		type = "bool-setting",
		name = creative_mode_defines.names.settings.creative_chest_contains_hidden_items,
		setting_type = "runtime-global",
		default_value = false,
		order = "b-b"
	},
	
	-- Autofill requester chest size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.autofill_requester_chest_size,
		setting_type = "startup",
		default_value = 48,
		minimum_value = 1,
		maximum_value = 255,
		order = "c"
	},
	
	-- Duplicating chest size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.duplicating_chest_size,
		setting_type = "startup",
		default_value = 48,
		minimum_value = 1,
		maximum_value = 255,
		order = "d"
	},
	
	-- Void requester chest size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.void_requester_chest_size,
		setting_type = "startup",
		default_value = 48,
		minimum_value = 1,
		maximum_value = 255,
		order = "e"
	},
	
	-- Void storage chest size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.void_storage_chest_size,
		setting_type = "startup",
		default_value = 48,
		minimum_value = 1,
		maximum_value = 255,
		order = "f"
	},
	
	-- Creative cargo wagon size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.creative_cargo_wagon_size,
		setting_type = "startup",
		default_value = 200,
		minimum_value = 1,
		maximum_value = 254,
		order = "g-a"
	},
	-- Creative cargo wagon contains hidden items.
	{
		type = "bool-setting",
		name = creative_mode_defines.names.settings.creative_cargo_wagon_contains_hidden_items,
		setting_type = "runtime-global",
		default_value = true,
		order = "g-b"
	},
	
	-- Duplicating cargo wagon size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.duplicating_cargo_wagon_size,
		setting_type = "startup",
		default_value = 40,
		minimum_value = 1,
		maximum_value = 255,
		order = "h"
	},
	
	-- Void cargo wagon size.
	{
		type = "int-setting",
		name = creative_mode_defines.names.settings.void_cargo_wagon_size,
		setting_type = "startup",
		default_value = 40,
		minimum_value = 1,
		maximum_value = 255,
		order = "i"
	},
	
	-- Add suffix to enemy structures' names.
	{
		type = "bool-setting",
		name = creative_mode_defines.names.settings.enemy_structures_add_name_suffix,
		setting_type = "startup",
		default_value = true,
		order = "j"
	}
}